#!/bin/bash

export PKG_CONFIG_PATH=/app/ffmpeg/install/lib/pkgconfig:/app/ffmpeg/install/lib64/pkgconfig/
curDir="$PWD"

pkg="SVT-AV1"
if ! [[ -d "$pkg" ]]
then
  git clone https://gitlab.com/AOMediaCodec/SVT-AV1.git
fi
cd "$pkg/Build"

make clean
make distclean
cmake \
    -DCMAKE_BUILD_TYPE=Realease \
    -DCMAKE_INSTALL_PREFIX="/app/ffmpeg/install/" \
    .. -G"Unix Makefiles"

make -j8 
if make
then
  make install
  cd "$curDir"
  rm -rf "$pkg"
else
  cd "$curDir"
  echo "BUILD FAILED"
fi

echo "Done"

